﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_resize_redraw
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Turn ResizeRedraw on or off.
        private void chkResizeRedraw_CheckedChanged(object sender, EventArgs e)
        {
            this.ResizeRedraw = (chkResizeRedraw.Checked);
        }

        // Draw a diamond that fits the form.
        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Point[] pts =
            {
                new Point((int)(this.ClientSize.Width / 2), 0),
                new Point(this.ClientSize.Width, (int)(this.ClientSize.Height / 2)),
                new Point((int)(this.ClientSize.Width / 2), this.ClientSize.Height),
                new Point(0, (int)(this.ClientSize.Height / 2)),
            };
            e.Graphics.DrawPolygon(Pens.Red, pts);
        }
    }
}
